summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-13 01:00:18 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:18 +0200
commite115086e93b49765a5327e6d500c5f697cb265dd (patch)
treeaa76c35814a8155bf352f6835e57356f11a25982 /network
parentf32cb64362a0cb8dabb30aef3edcd14e64ddf30d (diff)
downloadslackbuilds-e115086e93b49765a5327e6d500c5f697cb265dd.tar.gz
slackbuilds-e115086e93b49765a5327e6d500c5f697cb265dd.tar.xz
network/pflogsumm: Added to 13.0 repository
Diffstat (limited to 'network')
-rw-r--r--network/pflogsumm/README24
-rw-r--r--network/pflogsumm/pflogsumm.SlackBuild62
-rw-r--r--network/pflogsumm/pflogsumm.info10
-rw-r--r--network/pflogsumm/sample_cronjob.txt8
-rw-r--r--network/pflogsumm/slack-desc18
5 files changed, 122 insertions, 0 deletions
diff --git a/network/pflogsumm/README b/network/pflogsumm/README
new file mode 100644
index 0000000000..d2c42102e0
--- /dev/null
+++ b/network/pflogsumm/README
@@ -0,0 +1,24 @@
+pflogsumm provides summary of email traffic by parsing maillog files.
+Some of the details provided by pflogsumm include:
+
+Total number of messages Per-Day/Per-Hour/Per-Week/Per-Month traffic summary.
+Postfix error messages and much more.
+
+For more info, please visit the the official website at:
+http://jimsun.linxnet.com/postfix_contrib.html
+
+Once package is installed, see man pflogsumm for detailed usage info and
+pflogsumm.pl -help for a terse version.
+
+Please see included sample_cronjob.txt file and manpage for details on
+running pflogsumm via crontab and getting stats via email.
+
+All dependencies listed (in correct order) below are available at SBo:
+1. perl-Sub-Uplevel (Sub::Uplevel)
+2. perl-Test-Exception (Test::Exception)
+3. perl-Carp-Clan (Carp::Clan)
+4. perl-Bit-Bector (Bit::Vector)
+5. perl-Date-Calc (Date::Calc)
+
+BETA VERSION WARNING: version 1.1.2 is in beta testing right now but has
+an important bug-fix not found in production version (1.1.1).
diff --git a/network/pflogsumm/pflogsumm.SlackBuild b/network/pflogsumm/pflogsumm.SlackBuild
new file mode 100644
index 0000000000..f8768fbf5c
--- /dev/null
+++ b/network/pflogsumm/pflogsumm.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware Package Build Script for pflogsumm
+# Home Page http://jimsun.linxnet.com/postfix_contrib.html
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pflogsumm
+VERSION=1.1.2
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ChangeLog README ToDo pflogsumm-faq.txt"
+
+set -e
+
+### clean up from previous builds
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+mkdir -p $PKG/usr/{bin,man/man1,doc/$PRGNAM-$VERSION}
+install -m 0755 pflogsumm.pl $PKG/usr/bin
+install -m 0644 pflogsumm.1 $PKG/usr/man/man1
+install -m 0644 $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 -o root -g root $CWD/sample_cronjob.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# compress man page
+gzip -9 $PKG/usr/man/man1/pflogsumm.1
+
+### putting slack-desc and doinst.sh in place
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pflogsumm/pflogsumm.info b/network/pflogsumm/pflogsumm.info
new file mode 100644
index 0000000000..a7d04bd7b0
--- /dev/null
+++ b/network/pflogsumm/pflogsumm.info
@@ -0,0 +1,10 @@
+PRGNAM="pflogsumm"
+VERSION="1.1.2"
+HOMEPAGE="http://jimsun.linxnet.com/postfix_contrib.html"
+DOWNLOAD="http://jimsun.linxnet.com/downloads/pflogsumm-1.1.2.tar.gz"
+MD5SUM="c6bb433444a83564101aa30259cc849b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/network/pflogsumm/sample_cronjob.txt b/network/pflogsumm/sample_cronjob.txt
new file mode 100644
index 0000000000..c3daf10cd2
--- /dev/null
+++ b/network/pflogsumm/sample_cronjob.txt
@@ -0,0 +1,8 @@
+# sample crontab entries for use with pflogsumm
+# please adjust according to your taste :)
+
+# daily cronjob
+22 1 * * * /usr/bin/pflogsumm.pl -d yesterday /var/log/maillog 2>&1 | /usr/bin/mailx -s "postfix daily mail stats" postmaster
+
+# weekly cronjob
+30 6 * * 0 /usr/bin/pflogsumm.pl /var/log/maillog.1 2>&1 | /usr/bin/mailx -s "postfix weekly mail stats" postmaster
diff --git a/network/pflogsumm/slack-desc b/network/pflogsumm/slack-desc
new file mode 100644
index 0000000000..91f43f3c7f
--- /dev/null
+++ b/network/pflogsumm/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------|
+pflogsumm: pflogsumm (Postfix Log Entry Summarizer)
+pflogsumm:
+pflogsumm: pflogsumm is designed to provide an over-view of postfix
+pflogsumm: activity, with just enough detail to give the administrator
+pflogsumm: a "heads up" for potential trouble spots.
+pflogsumm:
+pflogsumm: pflogsumm is written by James S. Seymour and released under
+pflogsumm: GNU GPL. For more info, please visit the website
+pflogsumm:
+pflogsumm: http://jimsun.linxnet.com/postfix_contrib.html
+pflogsumm: